# Class DateConverter

java.lang.Object
com.databricks.jdbc.api.impl.converters.DateConverter

All Implemented Interfaces:
  `ObjectConverter`

public class DateConverter extends Object implements ObjectConverter

## Field Summary

### Fields inherited from interface com.databricks.jdbc.api.impl.converters.ObjectConverter

`DEFAULT_TIMESTAMP_SCALE, POWERS_OF_TEN`

## Constructor Summary

Constructors
Constructor
Description
`DateConverter()`

## Method Summary

Modifier and Type
Method
Description
`BigInteger`
`toBigInteger(Object object)`
`Date`
`toDate(Object object)`
`int`
`toInt(Object object)`
`LocalDate`
`toLocalDate(Object object)`
`long`
`toLong(Object object)`
`short`
`toShort(Object object)`
`String`
`toString(Object object)`
`Timestamp`
`toTimestamp(Object object)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface com.databricks.jdbc.api.impl.converters.ObjectConverter

`toAsciiStream, toBigDecimal, toBigDecimal, toBinaryStream, toBoolean, toByte, toByteArray, toChar, toCharacterStream, toDatabricksArray, toDatabricksMap, toDatabricksStruct, toDouble, toFloat, toTime, toTimestamp, toUnicodeStream`

## Constructor Details

### DateConverter

public DateConverter()

## Method Details

### toDate

public Date toDate(Object object) throws DatabricksSQLException

Specified by:
  `toDate` in interface `ObjectConverter`
Throws:
  `DatabricksSQLException`

### toLong

public long toLong(Object object) throws DatabricksSQLException

Specified by:
  `toLong` in interface `ObjectConverter`
Throws:
  `DatabricksSQLException`

### toShort

public short toShort(Object object) throws DatabricksSQLException

Specified by:
  `toShort` in interface `ObjectConverter`
Throws:
  `DatabricksSQLException`

### toInt

public int toInt(Object object) throws DatabricksSQLException

Specified by:
  `toInt` in interface `ObjectConverter`
Throws:
  `DatabricksSQLException`

### toBigInteger

public BigInteger toBigInteger(Object object) throws DatabricksSQLException

Specified by:
  `toBigInteger` in interface `ObjectConverter`
Throws:
  `DatabricksSQLException`

### toLocalDate

public LocalDate toLocalDate(Object object) throws DatabricksSQLException

Specified by:
  `toLocalDate` in interface `ObjectConverter`
Throws:
  `DatabricksSQLException`

### toString

public String toString(Object object) throws DatabricksSQLException

Specified by:
  `toString` in interface `ObjectConverter`
Throws:
  `DatabricksSQLException`

### toTimestamp

public Timestamp toTimestamp(Object object) throws DatabricksSQLException

Specified by:
  `toTimestamp` in interface `ObjectConverter`
Throws:
  `DatabricksSQLException`